<?php
if (!defined('USING_SYSTEM')) exit;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link type="text/css" rel="stylesheet" href="admin/images/page.css" />
<script type="text/javascript" src="skins/common/images/jquery-1.11.0.min.js"></script>
<script type="text/javascript" src="admin/images/page.js"></script>
<title>Filiant Control Panel</title>
</head>
<body>
<div class="bigTips"<?php echo ($tips=='')?'':' style="display:block;"' ?>><?php echo $tips ?></div>
<form id="mainForm" action="" method="post">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <th colspan="3">编辑用户组</th>
  </tr>
  <tr>
    <td class="title" width="150">组名</td>
    <td width="400"><?php echo $group->name ?></td>
    <td class="tips">组的名字</td>
  </tr>
  <tr>
    <td class="title">用户默认空间</td>
    <td><input name="diskMaxTxt" type="text" class="textbox" value="<?php echo $group->disk_max ?>" /></td>
    <td class="tips">用户默认拥有的空间（单位字节）</td>
  </tr>
  <tr>
    <td class="title">限制单文件大小</td>
    <td><input name="filesizeLimitTxt" type="text" class="textbox" value="<?php echo $group->filesize_limit ?>" /></td>
    <td class="tips">用户组单文件限制，0为不限制（单位字节）</td>
  </tr>
  <tr>
    <td class="title">默认文件共享</td>
    <td class="dropdown">
      <select name="DEFAULTSHARETxt" id="DEFAULTSHARETxt">
        <option value="1">是</option>
        <option value="0">否</option>
      </select>
<script type="text/javascript">
$('#DEFAULTSHARETxt').val('<?php echo $group->is(USR_R0_DEFAULTSHARE) ? '1' : '0' ?>');
</script></td>
    <td class="tips">开启后，用户的所有文件将被自动共享，除非其主动取消共享。</td>
  </tr>
  <tr>
    <td class="title">限制文件类型</td>
    <td><input name="fileExtTxt" type="text" class="textbox" value="<?php echo $group->file_ext ?>" /></td>
    <td class="tips">为空则不限制，扩展名之间以半角符号间隔，如 jpg,gif,png</td>
  </tr>
  <tr>
    <td class="title">分配云卷</td>
    <td class="list"><select name="" size="5" class="textbox">
<?php
if($vols = xVolMgr::getAllArr()) {
	foreach($vols as $vol) {
		echo '<option value="'.$vol['id'].'"'.(in_array($vol['id'],$group->volist)?' selected="selected"':'').'>'.$vol['host'].'</option>';
	}
}
?>
    </select></td>
    <td class="tips">使本组用户上传到哪个云卷当中</td>
  </tr>
</table>
<div class="controls">
  <a class="button" href="javascript:void(0);" onclick="$('#mainForm').trigger('submit');return false;">编辑<i></i></a>　<a class="button" href="admin.php?ac=p202">返回<i></i></a>
</div>
</form>
</body>
</html>